#ifndef __CAR_HIS_LOCATION__
#define __CAR_HIS_LOCATION__
#include "point.h"
struct his_location
{
    NAMESPACE_POINT::point start_pt;
    uint64_t start_time;
    
    NAMESPACE_POINT::point end_pt;
    uint64_t end_time;

    double speed;
    int type; //type:0 single NAMESPACE_POINT::point, tyoe:1 line

	bool m_bCriticalPoint; 

    his_location(NAMESPACE_POINT::point &spt, uint64_t st, double _speed, bool bCriticalPoint)
    {
        start_pt.set(spt);
        start_time = st;
        speed = _speed;
        type = 0;
		m_bCriticalPoint = bCriticalPoint ;
    }
    his_location(NAMESPACE_POINT::point &spt, uint64_t st, NAMESPACE_POINT::point &ept, uint64_t et, double _speed, bool bCriticalPoint)
    {
        start_pt.set(spt);
        start_time = st;
        end_pt.set(ept);
        end_time = et;
        speed = _speed;
        type = 1;
		m_bCriticalPoint = bCriticalPoint ;
    }
};
#endif